From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lang/zig/
Date: Tue, 8 Mar 2022 13:17:41 +0000 (UTC) [thread overview]
Message-ID: <1646745448.e9c309cc793b64322187e89b35822a5be0032c03.flow@gentoo> (raw)
commit: e9c309cc793b64322187e89b35822a5be0032c03
Author: BratishkaErik <bratishkaerik <AT> getgoogleoff <DOT> me>
AuthorDate: Sat Mar 5 14:04:19 2022 +0000
Commit: Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Tue Mar 8 13:17:28 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e9c309cc
dev-lang/zig: New version 0.9.1
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: BratishkaErik <bratishkaerik <AT> getgoogleoff.me>
Closes: https://github.com/gentoo/gentoo/pull/24412
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>
dev-lang/zig/Manifest | 1 +
dev-lang/zig/zig-0.9.1.ebuild | 59 +++++++++++++++++++++++++++++++++++++++++++
2 files changed, 60 insertions(+)
diff --git a/dev-lang/zig/Manifest b/dev-lang/zig/Manifest
index ae56387e0a78..04d7cb8f955c 100644
--- a/dev-lang/zig/Manifest
+++ b/dev-lang/zig/Manifest
@@ -2,3 +2,4 @@ DIST zig-0.7.1.tar.gz 16082917 BLAKE2B 401bb079f2d0e2ad26837940e3b79c14237a492bd
DIST zig-0.8.0.tar.gz 19596459 BLAKE2B 7b688fdd201ce7b0b1e12127c4b1bf898699de18f410021e09bb056a56666aa8de512688a0048d6ac0ea8d6b7dfdb86e1a5416d2fab0a4911e16269d7b6be2a4 SHA512 2082810d5ab0560167766e80f0853e5ff99e32b1935836a6a0029b8e1c88061c55dd0c285cbcc506f4c38aac8477ec7162b771537699be9b3d387de94e3baa57
DIST zig-0.8.1.tar.gz 19643170 BLAKE2B bc52f3399b3355a1fc7675329870dd107b21798fc562a9e55cd4a7c838cfdb2ed58ae3a01e3841a1a58c82fe27bec8758703b654b7548b9e431728aaabcd7ea6 SHA512 36bea566eee3dc5c00f2713cbc6616258dbadd3ee994749339f124f8b70c691cfe7fdce6a00194f879679ea417dadb3bcc244f8b79153957a426fea2d52caaf5
DIST zig-0.9.0.tar.gz 21994175 BLAKE2B aadef89d5fddc3e802965125625e62140ac37bdac40b29ab8b7652056589c037cbed5d4e46889f335b3c296fb4ae2a7cafd5d064a02d728a8325ad515cdc8c7a SHA512 fef36221e818364b45cf65de210b0a9d535c411a510371a3ab4dfd6f4621c0a16dba786169f115a006966875102acc742abee19a74d83e2bc999ea5b8304b879
+DIST zig-0.9.1.tar.gz 22010374 BLAKE2B 24d6c945640aac1f7fd0eaf69937638181fb210c1f0be3110bc4e779cab3d56ef89286604b467013d52223a466addcb9bb81c85bbcf007d430a400669acf6279 SHA512 a9dc5fea25dde511122056832449658b00dbcf6d6bbfe658b375968a7bdb06c690abbdfe00c1afcfa481442392b051dcef5a5a5e81d4ceb23fa98a866b900f37
diff --git a/dev-lang/zig/zig-0.9.1.ebuild b/dev-lang/zig/zig-0.9.1.ebuild
new file mode 100644
index 000000000000..f3e935ec2f28
--- /dev/null
+++ b/dev-lang/zig/zig-0.9.1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 2019-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LLVM_MAX_SLOT=13
+inherit cmake llvm
+
+DESCRIPTION="A robust, optimal, and maintainable programming language"
+HOMEPAGE="https://ziglang.org/"
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://github.com/ziglang/zig.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/ziglang/zig/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BUILD_DIR="${S}/build"
+
+# According to zig's author, zig builds that do not support all targets are not
+# supported by the upstream project.
+ALL_LLVM_TARGETS=(
+ AArch64 AMDGPU ARM AVR BPF Hexagon Lanai Mips MSP430 NVPTX
+ PowerPC RISCV Sparc SystemZ WebAssembly X86 XCore
+)
+ALL_LLVM_TARGETS=( "${ALL_LLVM_TARGETS[@]/#/llvm_targets_}" )
+LLVM_TARGET_USEDEPS="${ALL_LLVM_TARGETS[@]}"
+
+RDEPEND="
+ sys-devel/clang:${LLVM_MAX_SLOT}
+ >=sys-devel/lld-${LLVM_MAX_SLOT}
+ <sys-devel/lld-$((${LLVM_MAX_SLOT} + 1))
+ sys-devel/llvm:${LLVM_MAX_SLOT}[${LLVM_TARGET_USEDEPS// /,}]
+"
+DEPEND="${RDEPEND}"
+
+llvm_check_deps() {
+ has_version "sys-devel/clang:${LLVM_SLOT}"
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DZIG_USE_CCACHE=OFF
+ -DZIG_PREFER_CLANG_CPP_DYLIB=ON
+ )
+
+ cmake_src_configure
+}
+
+src_test() {
+ cd "${BUILD_DIR}" || die
+ ./zig build test || die
+}
next reply other threads:[~2022-03-08 13:17 UTC|newest]
Thread overview: 74+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-03-08 13:17 Florian Schmaus [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-05 11:40 [gentoo-commits] repo/gentoo:master commit in: dev-lang/zig/ Sam James
2025-03-04 22:09 Sam James
2025-02-17 1:52 Sam James
2025-02-16 16:29 Sam James
2025-02-16 16:25 Sam James
2025-02-16 16:25 Sam James
2025-02-16 16:25 Sam James
2025-02-16 16:25 Sam James
2025-02-16 16:25 Sam James
2024-12-15 9:47 Sam James
2024-11-06 13:35 Sam James
2024-09-21 7:41 Michał Górny
2024-08-05 7:38 Joonas Niilola
2024-05-20 7:49 Sam James
2024-05-20 7:49 Sam James
2024-05-19 15:21 Sam James
2024-02-28 9:12 Florian Schmaus
2024-02-11 16:02 Michał Górny
2023-12-13 7:47 Florian Schmaus
2023-11-22 11:38 Sam James
2023-09-26 15:54 Sam James
2023-08-25 3:58 Jakov Smolić
2023-07-27 11:45 Sam James
2023-07-26 3:33 Sam James
2023-05-13 3:28 Sam James
2023-05-13 3:28 Sam James
2023-04-07 4:19 Michał Górny
2023-03-10 7:00 Florian Schmaus
2023-03-09 17:56 Florian Schmaus
2023-03-09 10:54 Florian Schmaus
2023-03-09 10:54 Florian Schmaus
2023-03-09 10:54 Florian Schmaus
2023-01-20 3:54 Sam James
2023-01-20 1:17 Sam James
2023-01-14 19:17 Sam James
2022-12-14 9:20 Sam James
2022-11-08 4:09 Sam James
2022-11-07 6:52 Sam James
2022-11-07 6:52 Sam James
2022-10-30 9:40 Sam James
2022-10-20 23:34 Sam James
2022-10-15 15:18 Sam James
2022-09-19 3:40 Sam James
2022-08-22 8:18 Jakov Smolić
2022-08-22 8:18 Jakov Smolić
2022-05-27 7:45 Joonas Niilola
2022-05-27 7:45 Joonas Niilola
2022-04-30 8:13 Joonas Niilola
2022-04-17 20:05 Sam James
2022-03-29 10:50 Ionen Wolkens
2022-03-29 7:20 Joonas Niilola
2022-03-28 7:51 Florian Schmaus
2022-03-28 7:50 Florian Schmaus
2021-12-25 17:27 Arthur Zamarin
2021-12-25 10:21 Sam James
2021-12-25 10:20 Sam James
2021-11-21 9:52 Michał Górny
2021-11-05 13:39 罗百科
2021-10-30 23:32 Sam James
2021-10-30 23:32 Sam James
2021-07-03 15:46 Joonas Niilola
2021-07-03 15:46 Joonas Niilola
2021-07-03 15:46 Joonas Niilola
2021-03-06 12:25 Michał Górny
2021-03-04 17:42 Joonas Niilola
2021-01-04 2:10 Matt Turner
2020-01-06 12:23 Andreas Sturmlechner
2019-10-01 6:14 Joonas Niilola
2019-09-20 16:18 Joonas Niilola
2019-09-08 15:59 Joonas Niilola
2019-08-07 18:28 Joonas Niilola
2019-08-02 9:07 Joonas Niilola
2019-08-02 8:37 Joonas Niilola
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1646745448.e9c309cc793b64322187e89b35822a5be0032c03.flow@gentoo \
--to=flow@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox